> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-model-setup/workflows/workflow-details.md).

# Workflow details

The details that define a workflow.

You can add or update workflows through [Product model setup](/pim3/reference/product-model-setup.md) > [Workflows](/pim3/reference/product-model-setup/workflows.md).

### Alias

A unique name for the workflow.

### Label

The name of the workflow that will be used when displaying the workflow in the PIM.

### Default state

The state new entities are assigned when created

### Product assignments

The products that shall use the workflow

### Variant assignments

The variants that shall use the workflow

### Catalogue assignments

The catalogues that shall use the workflow

### Variant group assignments

The variant groups that shall use the workflow


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/workflows/workflow-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
